<form (ngSubmit)="onSubmit()">
  <input type="text" [(ngModel)]="person.name" name="name" required minlength="3"/>
  <input type="number" [(ngModel)]="person.age" name="age" min="0" max="150"/>
  <button>submit</button>
</form>
result: {{person | json}}
